[med-svn] [Git][med-team/python-loompy][master] 3 commits: d/p/tests-open-loom-write-permissions.patch: Load loom file in h5py with write permissions
Nilesh Patra (@nilesh)
gitlab at salsa.debian.org
Sat Jul 3 16:29:59 BST 2021
Nilesh Patra pushed to branch master at Debian Med / python-loompy
Commits:
016317f0 by Nilesh Patra at 2021-07-03T15:18:09+00:00
d/p/tests-open-loom-write-permissions.patch: Load loom file in h5py with write permissions
- - - - -
d6dd8fc1 by Nilesh Patra at 2021-07-03T20:59:26+05:30
Add autopkgtest
- - - - -
3b5e6d4a by Nilesh Patra at 2021-07-03T20:59:44+05:30
Add python3-pytest to B-D (enables build time testing)
- - - - -
5 changed files:
- debian/control
- + debian/patches/series
- + debian/patches/tests-open-loom-write-permissions.patch
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/control
=====================================
@@ -12,7 +12,8 @@ Build-Depends: debhelper-compat (= 12),
python3-numba <!nocheck>,
python3-click <!nocheck>,
python3-scipy <!nocheck>,
- python3-numpy-groupies <!nocheck>
+ python3-numpy-groupies <!nocheck>,
+ python3-pytest <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-loompy
Vcs-Git: https://salsa.debian.org/med-team/python-loompy.git
=====================================
debian/patches/series
=====================================
@@ -0,0 +1 @@
+tests-open-loom-write-permissions.patch
=====================================
debian/patches/tests-open-loom-write-permissions.patch
=====================================
@@ -0,0 +1,14 @@
+Description: With h5py>3.0.0, files are opened with read permissions. In the tests, it should be used with write permissions
+Author: Nilesh Patra <nilesh at debian.org>
+Last-Update: 2021-07-03
+--- a/tests/test_file_attribute_manager.py
++++ b/tests/test_file_attribute_manager.py
+@@ -15,7 +15,7 @@
+ f = NamedTemporaryFile(suffix="loom")
+ f.close()
+ self.filename = f.name
+- self.file = h5py.File(f.name)
++ self.file = h5py.File(f.name, 'w')
+ self.file.attrs["arr"] = self.VALUE_IN_FILE
+
+ def tearDown(self):
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, python3-all, python3-pytest
+Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+pkg=python3-loompy
+CUR_DIR=`pwd`
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+cp -a ${CUR_DIR}/tests/ "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+for py in $(py3versions -s 2> /dev/null)
+do
+ $py -m pytest -v
+done
View it on GitLab: https://salsa.debian.org/med-team/python-loompy/-/compare/0df7c23cc8fef64878442888188abbe128df9604...3b5e6d4a54e6fd8fd3d6a044dd744fa06e192635
--
View it on GitLab: https://salsa.debian.org/med-team/python-loompy/-/compare/0df7c23cc8fef64878442888188abbe128df9604...3b5e6d4a54e6fd8fd3d6a044dd744fa06e192635
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210703/0f2aca8b/attachment-0001.htm>
More information about the debian-med-commit
mailing list